"use strict";
// Copyright IBM Corp. 2020. All Rights Reserved.
// Node module: @loopback/example-multi-tenancy
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultiTenancyComponent = void 0;
const core_1 = require("@loopback/core");
const keys_1 = require("./keys");
const multi_tenancy_middleware_provider_1 = require("./middleware/multi-tenancy-middleware.provider");
const strategies_1 = require("./strategies");
class MultiTenancyComponent {
    constructor() {
        this.bindings = [
            (0, core_1.createBindingFromClass)(multi_tenancy_middleware_provider_1.MultiTenancyMiddlewareProvider, {
                key: keys_1.MultiTenancyBindings.MIDDLEWARE,
            }),
            (0, core_1.createBindingFromClass)(strategies_1.JWTStrategy).apply((0, core_1.extensionFor)(keys_1.MULTI_TENANCY_STRATEGIES)),
            (0, core_1.createBindingFromClass)(strategies_1.HeaderStrategy).apply((0, core_1.extensionFor)(keys_1.MULTI_TENANCY_STRATEGIES)),
            (0, core_1.createBindingFromClass)(strategies_1.QueryStrategy).apply((0, core_1.extensionFor)(keys_1.MULTI_TENANCY_STRATEGIES)),
            (0, core_1.createBindingFromClass)(strategies_1.HostStrategy).apply((0, core_1.extensionFor)(keys_1.MULTI_TENANCY_STRATEGIES)),
        ];
    }
}
exports.MultiTenancyComponent = MultiTenancyComponent;
//# sourceMappingURL=component.js.map