"use strict";
// Copyright IBM Corp. 2020. All Rights Reserved.
// Node module: @loopback/example-multi-tenancy
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryStrategy = void 0;
const tslib_1 = require("tslib");
const debug_1 = tslib_1.__importDefault(require("debug"));
const base_strategy_1 = require("./base-strategy");
const debug = (0, debug_1.default)('loopback:multi-tenancy:strategy:query');
/**
 * Use `tenant-id` http query parameter to identify the tenant id
 */
class QueryStrategy extends base_strategy_1.BaseStrategy {
    constructor() {
        super(...arguments);
        this.name = 'query';
    }
    identifyTenant(requestContext) {
        const tenantId = requestContext.request.query['tenant-id'];
        debug('tenant-id', tenantId);
        return tenantId == null ? undefined : { id: tenantId };
    }
}
exports.QueryStrategy = QueryStrategy;
//# sourceMappingURL=query-strategy.js.map